Normalizer
MessageFormatter
Normalizer
PHP Manual

# Normalizer::normalize

# normalizer_normalize

(No version information available, might be only in CVS)

Normalizer::normalize -- normalizer_normalize — Normalizes the input provided and returns the normalized string

### Description

Object oriented style

static string Normalizer::normalize ( string `$input` [, string `$form` ] )

Procedural style

string normalizer_normalize ( string `$input` [, string `$form` ] )

Normalizes the input provided and returns the normalized string

### Parameters

`input`

  The input string to normalize

`form`

  One of the normalization forms. If not provided the default is Normalizer::FORM_C.

### Return Values

The normalized string or `NULL` if an error occurred.

### Examples

Example #1 normalizer_normalize() example

`<?php
$char_A_ring = "\xC3\x85"; // 'LATIN CAPITAL LETTER A WITH RING ABOVE' (U+00C5)
$char_combining_ring_above = "\xCC\x8A"; // 'COMBINING RING ABOVE' (U+030A)
$char_1 = normalizer_normalize( $char_A_ring, Normalizer::FORM_C );
$char_2 = normalizer_normalize( 'A' . $char_combining_ring_above, Normalizer::FORM_C );
echo urlencode($char_1);
echo ' ';
echo urlencode($char_2);
?>`

Example #2 OO example

`<?php
$char_A_ring = "\xC3\x85"; // 'LATIN CAPITAL LETTER A WITH RING ABOVE' (U+00C5)
$char_combining_ring_above = "\xCC\x8A"; // 'COMBINING RING ABOVE' (U+030A)
$char_1 = Normalizer::normalize( $char_A_ring, Normalizer::FORM_C );
$char_2 = Normalizer::normalize( 'A' . $char_combining_ring_above, Normalizer::FORM_C );
echo urlencode($char_1);
echo ' ';
echo urlencode($char_2);
?>`

The above example will output:

    %C3%85 %C3%85

### See Also

- normalizer_is_normalized()

Normalizer
MessageFormatter
Normalizer
PHP Manual